/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Dao;


import LoginDb.DbHandler;
import java.sql.CallableStatement;
import java.sql.Connection;
import oracle.jdbc.OracleTypes;

/**
 *
 * @author 1242938
 */
public class BGLAccountCreationDao {

    public String BGLAccountCreationServletProc(String glProductId, String pacsId, String glName) {
        Connection con = null;
        CallableStatement proc = null;
        String res = null;


        try {
            con = DbHandler.getDBConnection();
            proc = con.prepareCall("{ call operations2.create_gl_account_AL(?,?,?,?) }");

            proc.setString(1, glProductId);
            proc.setString(2, pacsId);
            proc.setString(3, glName);
            proc.registerOutParameter(4, OracleTypes.VARCHAR);


            proc.executeUpdate();

           // res = proc.getString(4);//error message

        } catch (Exception e) {
           // e.printStackTrace();
           // System.out.println("Exception occured  in BGLAccountCreationServletProc for :" + glName);
           // res= "Error occured. Please try again";
           System.out.println("Error occurred during processing.");
        } finally {
            try {
                if (con != null) {
                    con.close();
                }
            } catch (Exception e) {
               // e.printStackTrace();
               System.out.println("Error occurred during connection close.");
            }
        }

        return res;
    }

    
}
